using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mpeg2.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x11,"PMT")]
    [BannedTable("TSDT")]
    class StdDescriptor : TsDescriptor
    {
        public StdDescriptor(byte[] buffer)
        {
            LeakValidFlag = (buffer[0] & 0x01) != 0;
        }

        public bool LeakValidFlag { get; private set; }
    }
}
